---
title: Update SSO connector state
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[IAM](https://developers.cloudflare.com/api/go/resources/iam)

[SSO](https://developers.cloudflare.com/api/go/resources/iam/subresources/sso)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Update SSO connector state

client.IAM.SSO.Update(ctx, ssoConnectorID, params) (\*[SSOUpdateResponse](<https://developers.cloudflare.com/api/go/resources/iam#(resource)%20iam.sso%20%3E%20(model)%20SSOUpdateResponse%20%3E%20(schema)>), error)

PATCH/accounts/{account\_id}/sso\_connectors/{sso\_connector\_id}

Updates the state or configuration of an SSO connector.

##### Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. [Create a token](https://developers.cloudflare.com/fundamentals/api/get-started/create-token/).

**Example:**`Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY`

##### Accepted Permissions (at least one required)

`SSO Connector Write`

##### ParametersExpand Collapse

ssoConnectorID string

SSO Connector identifier tag.

maxLength32

minLength32

[Link to this property](<#(resource)%20iam.sso%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20sso_connector_id%20%3E%20(schema)>)

<details>

<summary>

params SSOUpdateParams

</summary>

AccountID param.Field\[string]

Path param: Account identifier tag.

maxLength32

minLength32

<a href="#(resource)%20iam.sso%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

Enabled param.Field\[bool]Optional

Body param: SSO Connector enabled state

<a href="#(resource)%20iam.sso%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20enabled">Link to this property</a>

UseFedrampLanguage param.Field\[bool]Optional

Body param: Controls the display of FedRAMP language to the user during SSO login

<a href="#(resource)%20iam.sso%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20use_fedramp_language">Link to this property</a>

</details>

[Link to this property](<#(resource)%20iam.sso%20%3E%20(method)%20update%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type SSOUpdateResponse struct{…}

</summary>

ID stringOptional

SSO Connector identifier tag.

maxLength32

minLength32

<a href="#(resource)%20iam.sso%20%3E%20(model)%20SSOUpdateResponse%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

CreatedOn TimeOptional

Timestamp for the creation of the SSO connector

formatdate-time

<a href="#(resource)%20iam.sso%20%3E%20(model)%20SSOUpdateResponse%20%3E%20(schema)%20%3E%20(property)%20created_on">Link to this property</a>

EmailDomain stringOptional

<a href="#(resource)%20iam.sso%20%3E%20(model)%20SSOUpdateResponse%20%3E%20(schema)%20%3E%20(property)%20email_domain">Link to this property</a>

Enabled boolOptional

<a href="#(resource)%20iam.sso%20%3E%20(model)%20SSOUpdateResponse%20%3E%20(schema)%20%3E%20(property)%20enabled">Link to this property</a>

UpdatedOn TimeOptional

Timestamp for the last update of the SSO connector

formatdate-time

<a href="#(resource)%20iam.sso%20%3E%20(model)%20SSOUpdateResponse%20%3E%20(schema)%20%3E%20(property)%20updated_on">Link to this property</a>

UseFedrampLanguage boolOptional

Controls the display of FedRAMP language to the user during SSO login

<a href="#(resource)%20iam.sso%20%3E%20(model)%20SSOUpdateResponse%20%3E%20(schema)%20%3E%20(property)%20use_fedramp_language">Link to this property</a>

<details>

<summary>

Verification SSOUpdateResponseVerificationOptional

</summary>

Code stringOptional

DNS verification code. Add this entire string to the DNS TXT record of the email domain to validate ownership.

<a href="#(resource)%20iam.sso%20%3E%20(model)%20SSOUpdateResponse%20%3E%20(schema)%20%3E%20(property)%20verification%20%3E%20(property)%20code">Link to this property</a>

<details>

<summary>

Status SSOUpdateResponseVerificationStatusOptional

The status of the verification code from the verification process.

</summary>

One of the following:

const SSOUpdateResponseVerificationStatusAwaiting SSOUpdateResponseVerificationStatus = "awaiting"

<a href="#(resource)%20iam.sso%20%3E%20(model)%20SSOUpdateResponse%20%3E%20(schema)%20%3E%20(property)%20verification%20%3E%20(property)%20status%20%3E%20(member)%200">Link to this property</a>

const SSOUpdateResponseVerificationStatusPending SSOUpdateResponseVerificationStatus = "pending"

<a href="#(resource)%20iam.sso%20%3E%20(model)%20SSOUpdateResponse%20%3E%20(schema)%20%3E%20(property)%20verification%20%3E%20(property)%20status%20%3E%20(member)%201">Link to this property</a>

const SSOUpdateResponseVerificationStatusFailed SSOUpdateResponseVerificationStatus = "failed"

<a href="#(resource)%20iam.sso%20%3E%20(model)%20SSOUpdateResponse%20%3E%20(schema)%20%3E%20(property)%20verification%20%3E%20(property)%20status%20%3E%20(member)%202">Link to this property</a>

const SSOUpdateResponseVerificationStatusVerified SSOUpdateResponseVerificationStatus = "verified"

<a href="#(resource)%20iam.sso%20%3E%20(model)%20SSOUpdateResponse%20%3E%20(schema)%20%3E%20(property)%20verification%20%3E%20(property)%20status%20%3E%20(member)%203">Link to this property</a>

</details>

<a href="#(resource)%20iam.sso%20%3E%20(model)%20SSOUpdateResponse%20%3E%20(schema)%20%3E%20(property)%20verification%20%3E%20(property)%20status">Link to this property</a>

</details>

<a href="#(resource)%20iam.sso%20%3E%20(model)%20SSOUpdateResponse%20%3E%20(schema)%20%3E%20(property)%20verification">Link to this property</a>

</details>

[Link to this property](<#(resource)%20iam.sso%20%3E%20(model)%20SSOUpdateResponse%20%3E%20(schema)>)

### Update SSO connector state

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/iam"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  sso, err := client.IAM.SSO.Update(
    context.TODO(),
    "023e105f4ecef8ad9ca31a8372d0c353",
    iam.SSOUpdateParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", sso.ID)
}
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353",
    "created_on": "2025-01-01T12:21:02Z",
    "email_domain": "example.com",
    "enabled": false,
    "updated_on": "2025-01-01T12:21:02Z",
    "use_fedramp_language": false,
    "verification": {
      "code": "cloudflare_dashboard_sso=023e105f4ecef8ad9ca31a8372d0c353",
      "status": "pending"
    }
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353",
    "created_on": "2025-01-01T12:21:02Z",
    "email_domain": "example.com",
    "enabled": false,
    "updated_on": "2025-01-01T12:21:02Z",
    "use_fedramp_language": false,
    "verification": {
      "code": "cloudflare_dashboard_sso=023e105f4ecef8ad9ca31a8372d0c353",
      "status": "pending"
    }
  }
}
```